#include <ctype.h>

/*
 * return true if line is empty or contains only spaces/comments
 */
int line_is_empty(const char *buf)
{
	while (*buf != '\0' && *buf != '#') {
		if (!isspace(*buf))
			return 0;
		buf++;
	}
	return 1;
}

/* if buf is a string surrounded by simple or double quotes, return 0
 * and fill *start and *end to the position of quotes. Else, return
 * -1. */
int remove_quote(const char *buf, int *start, int *end)
{
	const char *c = buf;

	while (isspace(*c))
		c ++;

	/* if it starts with double quote, remove them */
	if (c[0] == '"') {
		*start = c - buf;
		c ++;
		while (*c != '\0' ) {
			if ((*c == '"') && (*(c-1) != '\\')) {
				*end = c - buf;
				return 0;
			}
			c ++;
		}
		return -1;
	}
	/* if it starts with simple quote, remove them */
	if (c[0] == '\'') {
		*start = c - buf;
		c ++;
		while (*c != '\0' ) {
			if ((*c == '\'') && (*(c-1) != '\\')) {
				*end = c - buf;
				return 0;
			}
			c ++;
		}
		return -1;
	}
	return -1;
}
